Skip to main content
PUT
/
cleemy-procurement
/
api
/
documents
/
{id}
Update Document
curl --request PUT \
  --url https://{host}/cleemy-procurement/api/documents/{id} \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "owner": {
    "id": 123
  },
  "context": {
    "purchase": {
      "id": 123
    }
  },
  "documentBreakdown": {
    "id": 2,
    "href": "<string>",
    "name": "<string>"
  },
  "documentDate": "2023-12-25",
  "documentNumber": "<string>",
  "amountIncludingTaxes": {
    "excludingTaxes": {
      "value": 123
    },
    "taxes": [
      {
        "rateTypeId": 123,
        "value": 123
      }
    ],
    "includingTaxes": {
      "value": 123
    }
  },
  "accountingLabel": "<string>",
  "comment": "<string>",
  "intraCommunityTaxes": true,
  "attachments": [
    {
      "id": 123,
      "file": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "href": "<string>",
        "name": "<string>",
        "displayHref": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "pages": {
        "displayHrefTemplate": "<string>",
        "count": 123
      }
    }
  ],
  "dueDate": "2023-12-25",
  "paymentDetails": {
    "bankAccount": {
      "iban": "<string>",
      "bic": "<string>"
    }
  },
  "author": {
    "id": 123
  },
  "modifier": {
    "id": 123
  }
}
'
import requests

url = "https://{host}/cleemy-procurement/api/documents/{id}"

payload = {
"owner": { "id": 123 },
"context": { "purchase": { "id": 123 } },
"documentBreakdown": {
"id": 2,
"href": "<string>",
"name": "<string>"
},
"documentDate": "2023-12-25",
"documentNumber": "<string>",
"amountIncludingTaxes": {
"excludingTaxes": { "value": 123 },
"taxes": [
{
"rateTypeId": 123,
"value": 123
}
],
"includingTaxes": { "value": 123 }
},
"accountingLabel": "<string>",
"comment": "<string>",
"intraCommunityTaxes": True,
"attachments": [
{
"id": 123,
"file": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"href": "<string>",
"name": "<string>",
"displayHref": "<string>"
},
"createdAt": "2023-11-07T05:31:56Z",
"pages": {
"displayHrefTemplate": "<string>",
"count": 123
}
}
],
"dueDate": "2023-12-25",
"paymentDetails": { "bankAccount": {
"iban": "<string>",
"bic": "<string>"
} },
"author": { "id": 123 },
"modifier": { "id": 123 }
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({
owner: {id: 123},
context: {purchase: {id: 123}},
documentBreakdown: {id: 2, href: '<string>', name: '<string>'},
documentDate: '2023-12-25',
documentNumber: '<string>',
amountIncludingTaxes: {
excludingTaxes: {value: 123},
taxes: [{rateTypeId: 123, value: 123}],
includingTaxes: {value: 123}
},
accountingLabel: '<string>',
comment: '<string>',
intraCommunityTaxes: true,
attachments: [
{
id: 123,
file: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
href: '<string>',
name: '<string>',
displayHref: '<string>'
},
createdAt: '2023-11-07T05:31:56Z',
pages: {displayHrefTemplate: '<string>', count: 123}
}
],
dueDate: '2023-12-25',
paymentDetails: {bankAccount: {iban: '<string>', bic: '<string>'}},
author: {id: 123},
modifier: {id: 123}
})
};

fetch('https://{host}/cleemy-procurement/api/documents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": 123,
  "owner": {
    "id": 123,
    "href": "<string>",
    "name": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "pictureHref": "<string>"
  },
  "context": {
    "purchase": {
      "id": 123,
      "href": "<string>",
      "name": "<string>"
    }
  },
  "documentBreakdown": {
    "id": 2,
    "href": "<string>",
    "name": "<string>"
  },
  "documentDate": "2023-12-25",
  "documentNumber": "<string>",
  "amountIncludingTaxes": {
    "excludingTaxes": {
      "value": 123
    },
    "taxes": [
      {
        "rateTypeId": 123,
        "value": 123
      }
    ],
    "includingTaxes": {
      "value": 123
    }
  },
  "accountingLabel": "<string>",
  "comment": "<string>",
  "intraCommunityTaxes": true,
  "attachments": [
    {
      "id": 123,
      "file": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "href": "<string>",
        "name": "<string>",
        "displayHref": "<string>"
      },
      "createdAt": "2023-11-07T05:31:56Z",
      "pages": {
        "displayHrefTemplate": "<string>",
        "count": 123
      }
    }
  ],
  "dueDate": "2023-12-25",
  "paymentDetails": {
    "bankAccount": {
      "iban": "<string>",
      "bic": "<string>"
    }
  },
  "createdAt": "2023-11-07T05:31:56Z",
  "modifiedAt": "2023-11-07T05:31:56Z",
  "author": {
    "id": 123,
    "href": "<string>",
    "name": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "pictureHref": "<string>"
  },
  "modifier": {
    "id": 123,
    "href": "<string>",
    "name": "<string>",
    "firstName": "<string>",
    "lastName": "<string>",
    "pictureHref": "<string>"
  }
}

Headers

Authorization
string
required

API key. Value must be formatted like so: lucca application={api_key}.

Path Parameters

id
integer<int32>
required

ID of the document.

Body

application/json

Document to update.

An invoice document (before booking).

owner
Reference to a user · object

Reference to a user.

type
enum<string>

Type of document: Invoice or CreditNote.

Available options:
Invoice,
CreditNote
context
object | null

Context data for the document.

documentBreakdown
Reference to a document-breakdown. · object
documentDate
string<date> | null
documentNumber
string | null
amountIncludingTaxes
taxed-amount · object

Represents an amount of money with VAT taxes.

accountingLabel
string | null
comment
string | null
intraCommunityTaxes
boolean
attachments
attachment · object[]
dueDate
string<date> | null
paymentDetails
object | null
author
Reference to a user · object

Reference to a user.

modifier
Reference to a user · object

Reference to a user.

Response

200 - application/json

OK

An invoice document (before booking).

id
integer<int32>
read-only
owner
Reference to a user · object

Reference to a user.

type
enum<string>

Type of document: Invoice or CreditNote.

Available options:
Invoice,
CreditNote
context
object | null

Context data for the document.

documentBreakdown
Reference to a document-breakdown. · object
documentDate
string<date> | null
documentNumber
string | null
amountIncludingTaxes
taxed-amount · object

Represents an amount of money with VAT taxes.

accountingLabel
string | null
comment
string | null
intraCommunityTaxes
boolean
attachments
attachment · object[]
ocrStatus
enum<string>
read-only

Status of OCR processing.

Available options:
Pending,
Processing,
Processed,
Failed,
NotApplicable
dueDate
string<date> | null
paymentDetails
object | null
createdAt
string<date-time>
read-only
modifiedAt
string<date-time>
read-only
author
Reference to a user · object

Reference to a user.

modifier
Reference to a user · object

Reference to a user.